
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Almacén
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >Sucursal</li>
				<li class="breadcrumb-item active">Almacén</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;"  >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="almacen_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	
	
	
	
	
	
	
	
	<!-- registros listados -->
	<div id="div_almacen_tabla"></div>
	<!-- formulario de nuevo cliente -->
			<div class="modal fade" id="div_almacen_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_almacen_form"  >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

<script type="text/javascript">
	function almacen_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../almacen/almacen_tabla.php",
			async:true,
			dataType: "html",                      
			data: ({
			//pro_est:	$('#cmb_fil_pro_est').val()
		}),
			beforeSend: function() {
				$('#div_almacen_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_almacen_tabla').html(html);
			},
			complete: function(){			
				$('#div_almacen_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function almacen_form(act,idf)
	{
		$('#div_almacen_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../almacen/almacen_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				alm_id:	idf,
				vista:	'almacen_tabla'
			}),
			beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_almacen_form').html(div);
			},
			success: function(html){
				$('.div_almacen_form').html(html);
					
			}
		});
	}
	function eliminar_almacen(id)
	{   
		$('#msj_almacen').hide();   
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../almacen/almacen_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					alm_id:id
				}),
				beforeSend: function() {
					$('#msj_almacen').html("Cargando...");
					$('#msj_almacen').show(100);
				},
				success: function(html){
					$('#msj_almacen').html(html);
				},
				complete: function(){
					almacen_tabla();
				}
			});
		}
	}
//
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../almacen/almacen_vista.php");
	});
	almacen_tabla();	
	setTitle("ALMACEN - "+nombreEmpresa);
	
});
</script>